%{?nodejs_find_provides_and_requires}
%global enable_tests 0

Name:       nodejs-formatio
Version:    1.1.2
Release:    1%{?dist}
Summary:    Human-readable object formatting
License:    BSD
URL:        https://github.com/busterjs/formatio
Source:     http://registry.npmjs.org/formatio/-/formatio-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-packaging
Requires:  nodejs-samsam

%description
Pretty formatting of arbitrary JavaScript values. Currently only supports ascii formatting

%prep
%setup -q -n package


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-formatio
cp -rp package.json autolint.js buster.js lib/ %{buildroot}%{nodejs_sitelib}/nodejs-formatio

%check
%if 0%{?enable_tests}
npm test
%endif

%files
%doc Readme.md LICENSE AUTHORS  test/
%{nodejs_sitelib}/nodejs-formatio


%changelog
* Tue Feb 10 2015 Anish Patil <apatil@redhat.com> - 1.1.2-1
- initial package
